{% extends 'generic/object.html' %} {% block content %}
<div class="row mb-3">
  <div class="col col-md-6">
    <div class="card">
      <h5 class="card-header">CERTIFICATE</h5>
      <div class="card-body">
        <table class="table table-hover attr-table">
          <tr>
            <th scope="row">Common Name</th>
            <td>{{ object.cn }}</td>
          </tr>
          <tr>
            <th scope="row">Certificate Authority</th>
            <td>{{ object.get_ca_display }}</td>
          </tr>
          <tr>
            <th scope="row">Effective certificate's expiration date</th>
            <td>{{ object.cert_expired_at|placeholder }}</td>
          </tr>
        </table>
      </div>
    </div>
    {% include 'inc/panels/custom_fields.html' %}
    {% include 'inc/panels/tags.html' %}
  </div>
  <div class="col col-md-6">
    <div class="card">
      <h5 class="card-header">Details</h5>
      <div class="card-body">
        <table class="table table-hover attr-table">
          <tr>
            <th scope="row">Alt name</th>
            <td>{{ object.alt_name|placeholder }}</td>
          </tr>
          <tr>
            <th scope="row">Expiration time</th>
            <td>{{ object.get_expiration_time_display|placeholder }}</td>
          </tr>
          <tr>
            <th scope="row">State</th>
            <td>{{ object.get_state_display }}</td>
          </tr>
          <tr>
            <th scope="row">Effective certificate's creation date</th>
            <td>{{ object.cert_created_at|placeholder }}</td>
          </tr>
          <tr>
            <th scope="row">Certificate content</th>
            <td>
              <pre>{{ object.content|placeholder }}</pre>
            </td>
          </tr>
          <tr>
            <th scope="row">Vault URL</th>
            <td>{{ object.vault_url|placeholder }}</td>
          </tr>          
          <tr>
            <th scope="row">Service</th>
            <td>{{ object.service|placeholder }}</td>
          </tr>
        </table>
      </div>
    </div>
  </div>
</div>
{% endblock content %}
